Skip to main content
GET
List Mandates

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

date_from
string<date>

Start date for filtering (applied to Mandate updated_at field)

date_to
string<date>

End date for filtering (applied to Mandate updated_at field)

statuses
enum<string>[]

Comma-separated filter for specific Mandate statuses. Example: statuses=SUCCEEDED,FAILED Refer to mandate statuses in GET /mandates/{mandate_id}

Available options:
AUTHORIZATION_REQUIRED,
AUTHORIZING,
PROCESSING,
SUBMITTED,
SUCCEEDED,
FAILED,
REVOKED,
READY_TO_SUBMIT,
CLOSED,
CANCELLED
sender_type
enum<string>

Filter for a specific sender type. Refer to Mandate sender_type in GET /mandates/{mandate_id}

Available options:
INDIVIDUAL,
BUSINESS
user_id
string

The user_id the mandate was setup for

institution_id
string

Filter for a specific Institution ID

offset
integer
default:0

Pagination offset (default: 0)

limit
integer
default:500

Maximum number of records per page (default: 500, max: 1000)

Required range: 1 <= x <= 1000

Response

Successful

total_mandates
integer
required

Total number of Mandate records available for the selected filtering criteria (can be used to inform pagination requests)

mandates
object[]

List of Mandate objects that satisfy the filters in the request. Refer to Mandate object data model in GET /mandates/{mandate_id}